Gentoo Archives: gentoo-commits

From: "Michał Górny" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/docbook-xml-dtd/
Date: Wed, 11 Sep 2019 17:58:14
Message-Id: 1568224644.b00ee6623771148acd2c294d492382208a8934e9.mgorny@gentoo
commit:     b00ee6623771148acd2c294d492382208a8934e9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  4 08:11:02 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 11 17:57:24 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b00ee662

app-text/docbook-xml-dtd: Bump to EAPI 7, use sgml-catalog-r1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../docbook-xml-dtd-4.1.2-r7.ebuild                | 62 +++++++++++++++++++++
 .../docbook-xml-dtd/docbook-xml-dtd-4.2-r3.ebuild  | 62 +++++++++++++++++++++
 .../docbook-xml-dtd/docbook-xml-dtd-4.3-r2.ebuild  | 62 +++++++++++++++++++++
 .../docbook-xml-dtd/docbook-xml-dtd-4.4-r3.ebuild  | 63 ++++++++++++++++++++++
 .../docbook-xml-dtd/docbook-xml-dtd-4.5-r2.ebuild  | 63 ++++++++++++++++++++++
 5 files changed, 312 insertions(+)

diff --git a/app-text/docbook-xml-dtd/docbook-xml-dtd-4.1.2-r7.ebuild b/app-text/docbook-xml-dtd/docbook-xml-dtd-4.1.2-r7.ebuild
new file mode 100644
index 00000000000..fdf2ac2ad67
--- /dev/null
+++ b/app-text/docbook-xml-dtd/docbook-xml-dtd-4.1.2-r7.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+MY_P="docbkx${PV//./}"
+DESCRIPTION="Docbook DTD for XML"
+HOMEPAGE="https://docbook.org/"
+SRC_URI="https://docbook.org/xml/${PV}/${MY_P}.zip"
+
+LICENSE="docbook"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND=">=app-text/docbook-xsl-stylesheets-1.65
+	>=app-text/build-docbook-catalog-1.2"
+DEPEND=">=app-arch/unzip-5.41"
+
+S=${WORKDIR}
+
+src_prepare() {
+	# Prepend OVERRIDE directive
+	sed -i -e '1i\\OVERRIDE YES' docbook.cat || die
+	default
+}
+
+src_install() {
+	keepdir /etc/xml
+
+	insinto "/usr/share/sgml/docbook/xml-dtd-${PV}"
+	doins *.cat *.dtd *.mod || die
+	insinto "/usr/share/sgml/docbook/xml-dtd-${PV}/ent"
+	doins ent/*.ent
+
+	insinto /etc/sgml
+	newins - "xml-docbook-${PV}.cat" <<-EOF
+		CATALOG "${EPREFIX}/etc/sgml/sgml-docbook.cat"
+		CATALOG "${EPREFIX}/usr/share/sgml/docbook/xml-dtd-${PV}/docbook.cat"
+	EOF
+
+	dodoc ChangeLog *.txt
+}
+
+pkg_preinst() {
+	# work-around old revision removing it
+	cp "${ED}"/etc/sgml/xml-docbook-${PV}.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/xml-docbook-${PV}.cat ]]; then
+		cp "${T}"/xml-docbook-${PV}.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	build-docbook-catalog
+	sgml-catalog-r1_pkg_postinst
+}
+
+pkg_postrm() {
+	build-docbook-catalog
+	sgml-catalog-r1_pkg_postrm
+}

diff --git a/app-text/docbook-xml-dtd/docbook-xml-dtd-4.2-r3.ebuild b/app-text/docbook-xml-dtd/docbook-xml-dtd-4.2-r3.ebuild
new file mode 100644
index 00000000000..db788fca68f
--- /dev/null
+++ b/app-text/docbook-xml-dtd/docbook-xml-dtd-4.2-r3.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+MY_P=${P/-dtd/}
+DESCRIPTION="Docbook DTD for XML"
+HOMEPAGE="https://docbook.org/"
+SRC_URI="https://docbook.org/xml/${PV}/${MY_P}.zip"
+
+LICENSE="docbook"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND=">=app-text/docbook-xsl-stylesheets-1.65
+	>=app-text/build-docbook-catalog-1.2"
+DEPEND=">=app-arch/unzip-5.41"
+
+S=${WORKDIR}
+
+src_prepare() {
+	# Prepend OVERRIDE directive
+	sed -i -e '1i\\OVERRIDE YES' docbook.cat || die
+	default
+}
+
+src_install() {
+	keepdir /etc/xml
+
+	insinto "/usr/share/sgml/docbook/xml-dtd-${PV}"
+	doins *.cat *.dtd *.mod || die
+	insinto "/usr/share/sgml/docbook/xml-dtd-${PV}/ent"
+	doins ent/*.ent
+
+	insinto /etc/sgml
+	newins - "xml-docbook-${PV}.cat" <<-EOF
+		CATALOG "${EPREFIX}/etc/sgml/sgml-docbook.cat"
+		CATALOG "${EPREFIX}/usr/share/sgml/docbook/xml-dtd-${PV}/docbook.cat"
+	EOF
+
+	dodoc ChangeLog README
+}
+
+pkg_preinst() {
+	# work-around old revision removing it
+	cp "${ED}"/etc/sgml/xml-docbook-${PV}.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/xml-docbook-${PV}.cat ]]; then
+		cp "${T}"/xml-docbook-${PV}.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	build-docbook-catalog
+	sgml-catalog-r1_pkg_postinst
+}
+
+pkg_postrm() {
+	build-docbook-catalog
+	sgml-catalog-r1_pkg_postrm
+}

diff --git a/app-text/docbook-xml-dtd/docbook-xml-dtd-4.3-r2.ebuild b/app-text/docbook-xml-dtd/docbook-xml-dtd-4.3-r2.ebuild
new file mode 100644
index 00000000000..db788fca68f
--- /dev/null
+++ b/app-text/docbook-xml-dtd/docbook-xml-dtd-4.3-r2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+MY_P=${P/-dtd/}
+DESCRIPTION="Docbook DTD for XML"
+HOMEPAGE="https://docbook.org/"
+SRC_URI="https://docbook.org/xml/${PV}/${MY_P}.zip"
+
+LICENSE="docbook"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND=">=app-text/docbook-xsl-stylesheets-1.65
+	>=app-text/build-docbook-catalog-1.2"
+DEPEND=">=app-arch/unzip-5.41"
+
+S=${WORKDIR}
+
+src_prepare() {
+	# Prepend OVERRIDE directive
+	sed -i -e '1i\\OVERRIDE YES' docbook.cat || die
+	default
+}
+
+src_install() {
+	keepdir /etc/xml
+
+	insinto "/usr/share/sgml/docbook/xml-dtd-${PV}"
+	doins *.cat *.dtd *.mod || die
+	insinto "/usr/share/sgml/docbook/xml-dtd-${PV}/ent"
+	doins ent/*.ent
+
+	insinto /etc/sgml
+	newins - "xml-docbook-${PV}.cat" <<-EOF
+		CATALOG "${EPREFIX}/etc/sgml/sgml-docbook.cat"
+		CATALOG "${EPREFIX}/usr/share/sgml/docbook/xml-dtd-${PV}/docbook.cat"
+	EOF
+
+	dodoc ChangeLog README
+}
+
+pkg_preinst() {
+	# work-around old revision removing it
+	cp "${ED}"/etc/sgml/xml-docbook-${PV}.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/xml-docbook-${PV}.cat ]]; then
+		cp "${T}"/xml-docbook-${PV}.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	build-docbook-catalog
+	sgml-catalog-r1_pkg_postinst
+}
+
+pkg_postrm() {
+	build-docbook-catalog
+	sgml-catalog-r1_pkg_postrm
+}

diff --git a/app-text/docbook-xml-dtd/docbook-xml-dtd-4.4-r3.ebuild b/app-text/docbook-xml-dtd/docbook-xml-dtd-4.4-r3.ebuild
new file mode 100644
index 00000000000..d0987c01141
--- /dev/null
+++ b/app-text/docbook-xml-dtd/docbook-xml-dtd-4.4-r3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+MY_P=${P/-dtd/}
+DESCRIPTION="Docbook DTD for XML"
+HOMEPAGE="https://docbook.org/"
+SRC_URI="https://docbook.org/xml/${PV}/${MY_P}.zip"
+
+LICENSE="docbook"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND=">=app-text/docbook-xsl-stylesheets-1.65
+	>=app-text/build-docbook-catalog-1.2"
+DEPEND=">=app-arch/unzip-5.41"
+
+S=${WORKDIR}
+
+src_prepare() {
+	# Prepend OVERRIDE directive
+	sed -i -e '1i\\OVERRIDE YES' docbook.cat || die
+	default
+}
+
+src_install() {
+	keepdir /etc/xml
+
+	insinto "/usr/share/sgml/docbook/xml-dtd-${PV}"
+	doins *.cat *.dtd *.mod *.xml || die
+	insinto "/usr/share/sgml/docbook/xml-dtd-${PV}/ent"
+	doins ent/*.ent
+
+	insinto /etc/sgml
+	newins - "xml-docbook-${PV}.cat" <<-EOF
+		CATALOG "${EPREFIX}/etc/sgml/sgml-docbook.cat"
+		CATALOG "${EPREFIX}/usr/share/sgml/docbook/xml-dtd-${PV}/docbook.cat"
+	EOF
+
+	cp ent/README README.ent
+	dodoc ChangeLog README*
+}
+
+pkg_preinst() {
+	# work-around old revision removing it
+	cp "${ED}"/etc/sgml/xml-docbook-${PV}.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/xml-docbook-${PV}.cat ]]; then
+		cp "${T}"/xml-docbook-${PV}.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	build-docbook-catalog
+	sgml-catalog-r1_pkg_postinst
+}
+
+pkg_postrm() {
+	build-docbook-catalog
+	sgml-catalog-r1_pkg_postrm
+}

diff --git a/app-text/docbook-xml-dtd/docbook-xml-dtd-4.5-r2.ebuild b/app-text/docbook-xml-dtd/docbook-xml-dtd-4.5-r2.ebuild
new file mode 100644
index 00000000000..d0987c01141
--- /dev/null
+++ b/app-text/docbook-xml-dtd/docbook-xml-dtd-4.5-r2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+MY_P=${P/-dtd/}
+DESCRIPTION="Docbook DTD for XML"
+HOMEPAGE="https://docbook.org/"
+SRC_URI="https://docbook.org/xml/${PV}/${MY_P}.zip"
+
+LICENSE="docbook"
+SLOT="${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND=">=app-text/docbook-xsl-stylesheets-1.65
+	>=app-text/build-docbook-catalog-1.2"
+DEPEND=">=app-arch/unzip-5.41"
+
+S=${WORKDIR}
+
+src_prepare() {
+	# Prepend OVERRIDE directive
+	sed -i -e '1i\\OVERRIDE YES' docbook.cat || die
+	default
+}
+
+src_install() {
+	keepdir /etc/xml
+
+	insinto "/usr/share/sgml/docbook/xml-dtd-${PV}"
+	doins *.cat *.dtd *.mod *.xml || die
+	insinto "/usr/share/sgml/docbook/xml-dtd-${PV}/ent"
+	doins ent/*.ent
+
+	insinto /etc/sgml
+	newins - "xml-docbook-${PV}.cat" <<-EOF
+		CATALOG "${EPREFIX}/etc/sgml/sgml-docbook.cat"
+		CATALOG "${EPREFIX}/usr/share/sgml/docbook/xml-dtd-${PV}/docbook.cat"
+	EOF
+
+	cp ent/README README.ent
+	dodoc ChangeLog README*
+}
+
+pkg_preinst() {
+	# work-around old revision removing it
+	cp "${ED}"/etc/sgml/xml-docbook-${PV}.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/xml-docbook-${PV}.cat ]]; then
+		cp "${T}"/xml-docbook-${PV}.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	build-docbook-catalog
+	sgml-catalog-r1_pkg_postinst
+}
+
+pkg_postrm() {
+	build-docbook-catalog
+	sgml-catalog-r1_pkg_postrm
+}